<style>
.mytable  table {
  background-color: #92D7F7;
  width: 1000px;
}

.mytable tr {
    background-color: white;
}

.mytable tr:nth-child(odd) {
    background-color: white;
}

.mytable tr:nth-child(even) {
    background-color: #FAFAFA; /* main table row color */
}

.mytable tbody tr:hover {
  background: #E8F8F5;
}

.textcolor {
}
.textordercolor {
  color: #1F02F1;
}
.scrollsection {
  overflow-y: auto;
  overflow-x: visible;
  max-height: 600px;
  background-color: WhiteSmoke;
}
.scrollsectiontablesingle {
  overflow-y: auto;
  overflow-x: visible;
  max-height: 600px;
}
</style>

Store Locator API helps locate nearest Walmart Stores via API. It lets
users search for stores by latitude and longitude, and by zip code.

The required <ioa href="/docs/affiliates/v1/additional-headers">Additional Headers</ioa> to make Affiliate API call need to be included.

### **Request**

<div class="scrollsectiontablesingle">

<div class="mytable">

|                         |                                                                             |
| ----------------------- | --------------------------------------------------------------------------- |
| Request/Response format | JSON                                                                        |
| Method                  | GET                                                                         |
| URI                     | https://developer.api.walmart.com/api-proxy/service/affil/product/v2/stores |

</div></div>

<br/>

**Request Query Parameters**

<div class="scrollsectiontablesingle">

<div class="mytable">

|  Query Parameters | Description | Required/Optional? |
| ----------------- | ----------- | ------------------ |
| lat               | Latitude    | Optional           |
| lon               | Longitude   | Optional           |
| zip               | Zip         | Optional           |

</div></div>

<br/>

**Sample Request**

- Search for Walmart stores closest to latitude 29.735577 and
  longitude -95.511747:
  \"<https://developer.api.walmart.com/api-proxy/service/affil/product/v2/stores?lon=-95.511747&lat=29.735577>\"

- Search Walmart stores in the 77063 zip code:
  \"[https://developer.api.walmart.com/api-proxy/service/affil/](https://developer.api.walmart.com/api-proxy/service/affil/product/v2/stores?zip=77063)[v2/stores](https://developer.api.walmart.com/api-proxy/service/affil/product/v2/stores?lon=-95.511747&lat=29.735577)[?zip=77063](https://developer.api.walmart.com/api-proxy/service/affil/product/v2/stores?zip=77063)\"

**Response**

<div class="scrollsectiontablesingle">

<div class="mytable">

| Field         | Type          | Description         | Valid Values/Format      |
| ------------- | ------------- | ------------------- | ------------------------ |
| no            | Int           | Store no            | 2066                     |
| name          | String        | Name                | \"WM Supercenter\"       |
| country       | String        | Country             | \"US\"                   |
| coordinates   | Decimal Array | Coordinates Array   | \[-95.511747,29.735577\] |
| streetAddress | String        | Street Address      | \"2727 DUNVALE RD\"      |
| city          | String        | City                | \"HOUSTON\"              |
| stateProvCode | String        | State Province Code | \"TX\"                   |
| zip           | String        | ZipCode             | \"77063\"                |
| phoneNumber   | String        | Phone Number        | \"007139772099\"         |

</div></div>

<br/>
